Create playlist

Create a new playlist tied to your partner consumer key.

Playlists can be associated with the partner or a specific user, by setting the userId query parameter.

When creating a new playlist you can provide an initial track listing in the request or create an empty playlists by leaving the "tracks" array empty.

When adding a track to a playlist there are certain properties you can optionally specify, see playlists/{playlistId}/tracks for details

The POST body parameters should be formatted as raw JSON.

OAuth User token

Query Params
string

If you are using this endpoint for a user specific playlist, then provide the unique identifier of the user. For information on creating users click here.

string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

Form Data
string
required

The name of the playlist

string

Any custom string, and can be used to filter playlists by a single status (e.g. ~/playlists?status=mycustomstatus). Playlist Tool supported values are draft and published.

string

Supported values are private and public.

string
tracks
array

An array of objects, each of which may contain trackID and optional metadata trackTitle, trackVersion, artistAppearsAs, releaseId, releaseTitle, releaseArtistAppearsAs, releaseVersion

tracks
string

a hash of any additional parameters to be saved

string

The shop ID associated with the country*

string

Allows filtering of playlist by tags, e.g. "name": "dance" will return all playlists tagged with "dance". Multiple tags can be specified as a comma separated list, providing an AND query; e.g. "name": "rock,pop" will return all playlists that are tagged with "rock" AND "pop"

Language
LoadingLoading…